{
  "name": "bygonz",
  "version": "0.6.7-alpha",
  "description": "offline first history tracking",
  "homepage": "https://gitlab.com/onezoomin/ztax/ztax/-/tree/trunk/src/bygonz-js",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/onezoomin/ztax/ztax.git"
  },
  "author": "me@onezoom.in",
  "license": "AGPL",
  "//main": "dist/index.cjs",
  "module": "dist/index.mjs",
  "//types": "dist/index.d.ts",
  "scripts": {
    "build": "node ../../scripts/buildmjs.mjs ./index.ts ./test.ts ./BygonzWebWorker.ts",
    "buildtypes": "time pnpm tsc --emitDeclarationOnly --declaration --outDir dist/types/",
    "build1type": "time pnpm tsc --emitDeclarationOnly --declaration --outFile dist/index.d.ts",
    "watch": "watchexec -rc --print-events --project-origin . pnpm build",
    "pub": "time pnpm build && time pnpm build1type || true && npm publish --tag latest",
    "//pubalpha": "pnpm | tail -n1 | awk -F'+ ' '{print $NF}' | $( read p1; echo \"npm dist-tag add $p1 alpha\" )",
    "npmtag": "echo 'npm dist-tag add bygonz@0.5.9-alpha alpha'",
    "mapex": "npx source-map-explorer dist/index.mjs dist/index.mjs.map --no-border-checks",
    "bundleb": "echo 'meta_{modules} files are usable at https://bundle-buddy.com/' && open 'https://bundle-buddy.com/'"
  },
  "devDependencies": {
    "@types/node": "^18.11.17",
    "@types/wicg-file-system-access": "^2020.9.5",
    "@typescript-eslint/eslint-plugin": "^5.47.0",
    "@typescript-eslint/parser": "^5.47.0",
    "cross-env": "^7.0.3",
    "diff-lines": "^1.1.1",
    "dotenv": "^16.0.3",
    "esbuild-plugin-inline-worker": "^0.1.1",
    "eslint": "^8.30.0",
    "typescript": "^4.9.5",
    "undici": "^5.14.0"
  },
  "dependencies": {
    "@ethersproject/sha2": "^5.7.0",
    "@ipld/dag-json": "^9.1.0",
    "await-mutex": "^1.0.2",
    "base85": "^3.1.0",
    "date-fns": "^2.29.3",
    "dexie": "4.0.0-alpha.4",
    "ipfs-car": "^0.9.2",
    "it-all": "^1.0.6",
    "js-yaml": "^4.1.0",
    "json-stringify-deterministic": "^1.0.8",
    "keystore-idb": "^0.15.5",
    "lodash-es": "^4.17.21",
    "@ztax/logger": "latest",
    "bygonz-wasm": "link:../bygonz-wasm/dist",
    "pocketbase": "^0.7.4",
    "surrealdb.js": "^0.5.0",
    "ts-mixer": "^6.0.3",
    "webnative": "latest"
  }
}